function error_testing(patient_list)


%enter the appropriate location
dirname = ['C:\Matlab\work\Data_check'];
cd (dirname);
f=fopen(patient_list,'rt');
if f==-1
   error('The file does not exist');
end
code=fgetl(f);
%BEGIN loop for each patient
while code ~=-1,
   if ~isempty(code),
      fprintf('%s\n',code);
   end
    %begin loop for each node
    for l=2:16
        strl = int2str(l);
        if l<10
            A=load([code,'_0',char(48+l),'.dat']);  
        else
            A=load([code,'_1',char(38+l),'.dat']);
        end 
        AMP1(1:512) = A(:,1);
        if l<10
            A=load([code,'_high_means-0',char(48+l),'.dat']);  
        else
            A=load([code,'_high_means-1',char(38+l),'.dat']);
        end
        AMPH(1:512) = A(:,1);
        if l<10
            A=load([code,'_low_means-0',char(48+l),'.dat']);  
        else
            A=load([code,'_low_means-1',char(38+l),'.dat']);
        end
        AMPL(1:512) = A(:,1);
        AMP2 = 1000000*(AMPH+AMPL)/2;
        RES = AMP1 - AMP2;
        i=1;
        CH = 'T';
        while i<=512 & CH == 'T'
            if RES(i)>0.001 | RES(i)<-0.001
                CH = 'F';
            end
            i=i+1;
        end
        TEMP = [code,'_',strl,'->',CH];
        disp(TEMP);
   %end loop for each node
   end
   disp('------------------------------')
   disp('on with the next');
   disp('------------------------------')
   pause
   code=fgetl(f);
%END of loop for each patient
end
fclose(f);