function error_testing_lh(patient_list)


%enter the appropriate location
%warning off;
dirname = ['C:\Matlab\work\Data_check'];
cd (dirname);
f=fopen(patient_list,'rt');
if f==-1
   error('The file does not exist');
end
code=fgetl(f);
%BEGIN loop for each patient
while code ~=-1,
   if ~isempty(code),
      fprintf('%s\n',code);
   end
   type = {'high' 'low'};
   for j=1:2
        TEMP = [code,' ',type{j}];
        disp('===========================')
        disp(TEMP);
        %begin loop for each node
        for l=2:16
            strl = int2str(l);
            strtm1='';
            strtm2='';
            try
                if l<10
                    A=load([code,'0',char(48+l),'_',type{j},'_Means.txt']);  
                else
                    A=load([code,'1',char(38+l),'_',type{j},'_Means.txt']);
                end
                AMP1(1:512) = A(:,1);
            catch
                strtm1 = 'Kodopadelis';
            end
            try
                if l<10
                    A=load(['z',code,'_',type{j},'_means-0',char(48+l),'.dat']);  
                else
                    A=load(['z',code,'_',type{j},'_means-1',char(38+l),'.dat']);
                end
                AMP2(1:512) = 1000000*A(:,1);
            catch
                strtm2 = 'Vasilas';
            end
            try
                RES = AMP1 - AMP2;
                i=1;
                CH = 'T';
                while i<=512 & CH == 'T'
                    if RES(i)>0.001 | RES(i)<-0.001
                        CH = 'F';
                    end
                    i=i+1;
                end
                TEMP = [code,'_',strl,'->',CH];
                disp(TEMP);
                clear AMP1 AMP2 RES;
            catch
                TEMP = [code,'_',strl,'->MISSING',' ', strtm1,' ',strtm2];
                disp(TEMP);
            end
        end
    %end loop for each node
    end
   disp('------------------------------')
   disp('on with the next');
   disp('------------------------------')
   pause
   code=fgetl(f);
%END of loop for each patient
end
fclose(f);